/*
 * cpufreqd-icon (C) 2009-2017 kakurasan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

using Gdk;
using Gtk;

namespace CpufreqdIcon.Function
{
  public static void
  run_messagedialog (Gtk.MessageType type,
                     Gdk.Pixbuf? icon,
                     Gtk.Window? parent,
                     string title,
                     string text,
                     string? secondary_text = null)
  {
    var d = new Gtk.MessageDialog (parent,
                                   Gtk.DialogFlags.MODAL,
                                   type,
                                   Gtk.ButtonsType.CLOSE,
                                   "%s",
                                   text);
    d.title = title;
    if (secondary_text != null)
      d.secondary_text = secondary_text;
    if (icon != null)
      d.icon = icon;
    d.run ();
    d.destroy ();
  }
}
