/*
 * cpufreqd-icon (C) 2009-2017 kakurasan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

using Gtk;

namespace CpufreqdIcon
{
  class ProfileMenuItem : Gtk.MenuItem
  {
    public CpufreqdProfile profile { get; construct; }
    public
    ProfileMenuItem (CpufreqdProfile profile)
    {
      GLib.Object (profile : profile, use_underline : true);
      if (profile.num <= 20)
      {
        const string?[] chars = { "", "0", "1", "2", "3", "4", "5", "6", "7", "8", "9",
                                  "a", "b", "c", "d", "e", "f", "g", "h", "i", "j" };
        this.label = "_%s: %s".printf (chars[profile.num], "%s<%s> %u-%uMHz".printf (profile.pfname, profile.govname, profile.minfreq, profile.maxfreq).replace ("_", "__"));
      }
      else
        this.label = "%s<%s> %u-%uMHz".printf (profile.pfname, profile.govname, profile.minfreq, profile.maxfreq).replace ("_", "__");
    }
#if DEBUG
    ~ProfileMenuItem ()
    {
      GLib.debug ("~ProfileMenuItem ()");
    }
#endif
  }
}
